develooper Front page | perl.perl5.porters | Postings from August 2001

Re: Error in setup perl5.005_03 in HP-UX 11.0

Thread Previous
From:
H.Merijn Brand
Date:
August 18, 2001 02:21
Subject:
Re: Error in setup perl5.005_03 in HP-UX 11.0
Message ID:
20010818110659.36F7.H.M.BRAND@hccnet.nl
On Fri 17 Aug 2001 20:05, Luiz Carlos Duarte Pinto <lcdp@cemig.com.br> wrote:
> I will want to install perl5.005_03 in HP-UX 11.0 but I have this error:
> 
> Can I help me?
> 
>  <<erroperl.txt>> 

You don't mention what your architecture is (hppa-1.1, hppa-2.0 or hppa-2.0w)
and you also do not mention which C compiler you want to use.

HP-UX is shipped with a crippled C-compiler that is *not* ANSI compliant and
only serves the purpose of rebuilding a kernel when installing updates or
changing system configuration parameters.

Read README.hpux for more detail

There are several good HP-UX mirrors that provide precompiled binaries of perl,
so that one does not need the (expensive) HP C compiler. An example is
http://hpux.tn.tudelft.nl/hppd/hpux/alpha.html

You can also get a recent copy of the GNU C compiler (gcc), but building perl
(at least until /very/ recent versions) with gcc on HP-UX is supported, but
not very fluent (you probably need to know quite well what you are doing
before starting that adventure)

Why 5.005_03 and not 5.6.1?

-- 
H.Merijn Brand    Amsterdam Perl Mongers (http://www.amsterdam.pm.org/)
using perl-5.6.1, 5.7.1 & 623 on HP-UX 10.20 & 11.00, AIX 4.2, AIX 4.3,
     WinNT 4, Win2K pro & WinCE 2.11 often with Tk800.022 &/| DBD-Unify
ftp://ftp.funet.fi/pub/languages/perl/CPAN/authors/id/H/HM/HMBRAND/


Thread Previous


nntp.perl.org: Perl Programming lists via nntp and http.
Comments to Ask Bjørn Hansen at ask@perl.org | Group listing | About